package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class GebietReferenz implements Serializable {

  @XmlElement(required = true)
  private String nummer;

  @XmlElement(required = true)
  private String gebietsart;

  public GebietReferenz() {
    super();
  }

  public GebietReferenz(String nummer, String gebietsart) {
    this.gebietsart = gebietsart;
    this.nummer = nummer;
  }

  public String getNummer() {
    return nummer;
  }

  public void setNummer(String nummer) {
    this.nummer = nummer;
  }

  public String getGebietsart() {
    return gebietsart;
  }

  public void setGebietsart(String gebietsart) {
    this.gebietsart = gebietsart;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;

    GebietReferenz that = (GebietReferenz) o;

    if (!gebietsart.equals(that.gebietsart)) return false;
    if (!nummer.equals(that.nummer)) return false;

    return true;
  }

  @Override
  public int hashCode() {
    int result = nummer.hashCode();
    result = 31 * result + gebietsart.hashCode();
    return result;
  }

  @Override
  public String toString() {
    return "GebietReferenz{" +
        "nummer='" + nummer + '\'' +
        ", gebietsart='" + gebietsart + '\'' +
        '}';
  }
}
